Package org.eclipse.ecf.provider.filetransfer.httpclient5

## Interface HttpClientOptions

    public interface HttpClientOptions

See Also:
  `HttpClientOptions`

### Field Summary

Fields
`static String` `BROWSE_CONNECTION_TIMEOUT_PROP`
`static int` `BROWSE_DEFAULT_CONNECTION_TIMEOUT`
`static String` `FORCE_NTLM_PROP`
`static int` `NTLM_PROXY_RESPONSE_CODE`
`static String` `RETRIEVE_CONNECTION_TIMEOUT_PROP`
`static String` `RETRIEVE_CONNECTION_TTL`
`static int` `RETRIEVE_DEFAULT_CONNECTION_TIMEOUT`
`static int` `RETRIEVE_DEFAULT_CONNECTION_TTL`
`static int` `RETRIEVE_DEFAULT_READ_TIMEOUT`
`static String` `RETRIEVE_READ_TIMEOUT_PROP`

### Field Detail

#### BROWSE_CONNECTION_TIMEOUT_PROP

    static final String BROWSE_CONNECTION_TIMEOUT_PROP

See Also:
  Constant Field Values

#### RETRIEVE_READ_TIMEOUT_PROP

    static final String RETRIEVE_READ_TIMEOUT_PROP

See Also:
  Constant Field Values

#### RETRIEVE_CONNECTION_TIMEOUT_PROP

    static final String RETRIEVE_CONNECTION_TIMEOUT_PROP

See Also:
  Constant Field Values

#### RETRIEVE_CONNECTION_TTL

    static final String RETRIEVE_CONNECTION_TTL

See Also:
  Constant Field Values

#### RETRIEVE_DEFAULT_CONNECTION_TIMEOUT

    static final int RETRIEVE_DEFAULT_CONNECTION_TIMEOUT

#### RETRIEVE_DEFAULT_CONNECTION_TTL

    static final int RETRIEVE_DEFAULT_CONNECTION_TTL

#### RETRIEVE_DEFAULT_READ_TIMEOUT

    static final int RETRIEVE_DEFAULT_READ_TIMEOUT

#### BROWSE_DEFAULT_CONNECTION_TIMEOUT

    static final int BROWSE_DEFAULT_CONNECTION_TIMEOUT

#### NTLM_PROXY_RESPONSE_CODE

    static final int NTLM_PROXY_RESPONSE_CODE

See Also:
  Constant Field Values

#### FORCE_NTLM_PROP

    static final String FORCE_NTLM_PROP

See Also:
  Constant Field Values